# Source code for azure.mgmt.trafficmanager.models.tracked_resource_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from .resource_py3 import Resource

    class TrackedResource(Resource):
        """The resource model definition for a ARM tracked top level resource.

        :param id: Fully qualified resource Id for the resource. Ex -
         /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/trafficManagerProfiles/{resourceName}
        :type id: str
        :param name: The name of the resource
        :type name: str
        :param type: The type of the resource. Ex-
         Microsoft.Network/trafficManagerProfiles.
        :type type: str
        :param tags: Resource tags.
        :type tags: dict[str, str]
        :param location: The Azure Region where the resource lives
        :type location: str
        """

        _attribute_map = {
            'id': {'key': 'id', 'type': 'str'},
            'name': {'key': 'name', 'type': 'str'},
            'type': {'key': 'type', 'type': 'str'},
            'tags': {'key': 'tags', 'type': '{str}'},
            'location': {'key': 'location', 'type': 'str'},
        }

        def __init__(self, *, id: str=None, name: str=None, type: str=None, tags=None, location: str=None, **kwargs) -> None:
            super(TrackedResource, self).__init__(id=id, name=name, type=type, **kwargs)
            self.tags = tags
            self.location = location